Jump to content
funtoo forums
  • 0
s4uliu5

[solved] Could not clone kit 'lang-kit' into '/var/git/meta-repo/kits/lang-kit'

Question

Hi,

just ran

ego sync

and got

...
Syncing lang-kit branch 1.1-prime
fatal: Could not change back to '/root': Permission denied
Could not clone kit 'lang-kit' into '/var/git/meta-repo/kits/lang-kit'.

Any help?

Thanks.

--

Saulius

 

Share this post


Link to post
Share on other sites

2 answers to this question

Recommended Posts

  • 1

This has been hit by a few users and is fixed in ego-2.3.0, which is available for testing. The workaround is to type something like cd /tmp before running the command (ego drops permissions to run as the Portage user and git freaks out if it can't read the current working directory.)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×